package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF1I9 extends MwfRequest<MWF1I9, MWF1I9Response> {

    @Parameter(name = "DepositOriginIdentifier")
    MWF1I9 depositOriginIdentifier(String depositOriginIdentifier);
    @Parameter(name = "PrevailingAccTrans")
    MWF1I9 prevailingAccTrans(String prevailingAccTrans);
    @Parameter(name = "ProdPackageKey")
    MWF1I9 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "SSO")
    MWF1I9 sso(String sso);
    @Parameter(name = "TurnOnAccount")
    MWF1I9 turnOnAccount(String turnOnAccount);
}
